cbuffer ConstantBuffer : register( b0 )
{
	matrix World;
	matrix View;
	matrix Projection;
}

//͗p
struct vertexIn
{
	float4 pos : POSITION0;
	float2 tex : TEXCOORD0;
};

//o
struct vertexOut
{
	float4 pos : SV_POSITION;
	float2 tex : TEXCOORD0;
};

vertexOut vs_main(vertexIn IN)
{
	vertexOut OUT;

	OUT.pos = mul( IN.pos, World );
	OUT.pos = mul( OUT.pos, View );
	OUT.pos = mul( OUT.pos, Projection );
	OUT.tex = IN.tex;

	return OUT;
}

struct pixcelIn
{
	float4 pos : SV_POSITION;
	float2 tex : TEXCOORD0;
};

Texture2D Texture : register( t0 );
SamplerState Linear : register( s0 );

float4 ps_main(pixcelIn IN) : SV_Target
{
	float4 outcol;

	//eNX`[\
	outcol = Texture.Sample(Linear, IN.tex);

	return outcol;
}

